package com.yanzuoguang.mq.vo;

import com.yanzuoguang.dao.TableAnnotation;
import com.yanzuoguang.util.helper.StringHelper;
import com.yanzuoguang.util.vo.InitDao;
import io.swagger.annotations.ApiModelProperty;

/**
 * 服务器关联消息队列
 *
 * @author 颜佐光
 */
@TableAnnotation("queue_server")
public class QueueServerVo implements InitDao {
    /**
     * 服务Id
     */
    @ApiModelProperty(notes = "服务Id")
    @TableAnnotation("serverId")
    private String serverId;
    /**
     * 消息编号
     */
    @ApiModelProperty(notes = "消息编号")
    @TableAnnotation("queueName")
    private String queueName;
    /**
     * 交换器
     */
    @ApiModelProperty(notes = "交换器")
    @TableAnnotation("queueServer")
    private String queueServer;

    @Override
    public void init() {
        this.serverId = StringHelper.getFirst(this.serverId);
        this.queueName = StringHelper.getFirst(this.queueName);
        this.queueServer = StringHelper.getFirst(this.queueServer);
    }

    public String getServerId() {
        return serverId;
    }

    public void setServerId(String serverId) {
        this.serverId = serverId;
    }

    public String getQueueName() {
        return queueName;
    }

    public void setQueueName(String queueName) {
        this.queueName = queueName;
    }

    public String getQueueServer() {
        return queueServer;
    }

    public void setQueueServer(String queueServer) {
        this.queueServer = queueServer;
    }
}
